Unpin rspec-puppet and remove unneeded deps
[puppet_vcsrepo.git] / Gemfile
diff --git a/Gemfile b/Gemfile
index e32d3da..cc77f38 100644 (file)
--- a/Gemfile
+++ b/Gemfile
@@ -1,14 +1,22 @@
-source 'https://rubygems.org'
+source ENV['GEM_SOURCE'] || "https://rubygems.org"
 
 
-group :development, :test do
-  gem 'rake',                    :require => false
-  gem 'rspec-puppet',            :require => false
+group :development, :unit_tests do
+  gem 'rspec-core', '3.1.7',     :require => false
   gem 'puppetlabs_spec_helper',  :require => false
   gem 'puppetlabs_spec_helper',  :require => false
-  gem 'serverspec',              :require => false
-  gem 'puppet-lint',             :require => false
-  gem 'pry',                     :require => false
-  gem 'beaker-rspec',            :require => false
   gem 'simplecov',               :require => false
   gem 'simplecov',               :require => false
+  gem 'puppet_facts',            :require => false
+  gem 'json',                    :require => false
+end
+
+group :system_tests do
+  gem 'beaker-rspec',  :require => false
+  gem 'serverspec',    :require => false
+end
+
+if facterversion = ENV['FACTER_GEM_VERSION']
+  gem 'facter', facterversion, :require => false
+else
+  gem 'facter', :require => false
 end
 
 if puppetversion = ENV['PUPPET_GEM_VERSION']
 end
 
 if puppetversion = ENV['PUPPET_GEM_VERSION']